Debian Bug report logs - #476394
support mouse wheel

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: jidanni@jidanni.org

Date: Wed, 16 Apr 2008 12:48:02 UTC

Severity: wishlist

Tags: help

Merged with 230990

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: support mouse wheel
Date: Wed, 16 Apr 2008 20:43:35 +0800
X-Debbugs-Cc: dickey@invisible-island.net
Package: lynx-cur
Version: 2.8.7dev8-1

It seems lynx does not support nor document the mouse wheel.
Please make the mouse wheel act just like as in w3m or firefox or emacs, etc.




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: jidanni@jidanni.org, 476394@bugs.debian.org
Cc: dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>
Subject: Re: Bug#476394: support mouse wheel
Date: Wed, 16 Apr 2008 09:52:25 -0400 (EDT)
On Wed, 16 Apr 2008, jidanni@jidanni.org wrote:

> X-Debbugs-Cc: dickey@invisible-island.net
> Package: lynx-cur
> Version: 2.8.7dev8-1
>
> It seems lynx does not support nor document the mouse wheel.
> Please make the mouse wheel act just like as in w3m or firefox or emacs, etc.

lynx uses ncurses (or pdcurses) to support the mouse.

ncurses has an extension (which would change the binary compatibility)
that supports the button 4/5 used to represent the mouse.

(w3m's mouse interface isn't a suitable example to discuss politely ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #15 received at 476394@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: dickey@his.com
Cc: 476394@bugs.debian.org
Subject: lynx mouse wheel scrolling
Date: Wed, 16 Apr 2008 22:39:23 +0800
T> lynx uses ncurses (or pdcurses) to support the mouse.

T> ncurses has an extension (which would change the binary compatibility)
T> that supports the button 4/5 used to represent the mouse.

Yes, USE_MOUSE:TRUE enabled the mouse. And indeed, rolling the wheel
back and forth indeed does something, but whatever it does, it is not
scrolling that it is doing.




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #20 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: jidanni@jidanni.org
Cc: 476394@bugs.debian.org
Subject: Re: lynx mouse wheel scrolling
Date: Wed, 16 Apr 2008 10:43:38 -0400 (EDT)
On Wed, 16 Apr 2008, jidanni@jidanni.org wrote:

> T> lynx uses ncurses (or pdcurses) to support the mouse.
>
> T> ncurses has an extension (which would change the binary compatibility)
> T> that supports the button 4/5 used to represent the mouse.
>
> Yes, USE_MOUSE:TRUE enabled the mouse. And indeed, rolling the wheel
> back and forth indeed does something, but whatever it does, it is not
> scrolling that it is doing.

The normal build of ncurses (as in Debian's package) doesn't have the 
mouse extension configured/compiled.  So that only recognizes 4 buttons 
(not the 5 needed to handle the scroll wheel).

Mouse wheel and 256-colors are features that ncurses supports that aren't
in Debian (or most other) packages, though they've been available for a 
few years.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #25 received at 476394@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: dickey@his.com
Cc: 476394@bugs.debian.org
Subject: Re: lynx mouse wheel scrolling
Date: Wed, 16 Apr 2008 23:15:58 +0800
T> The normal build of ncurses (as in Debian's package) doesn't have the
T> mouse extension configured/compiled.  So that only recognizes 4
T> buttons (not the 5 needed to handle the scroll wheel).

Ah, no wonder lynx only reacts to rolling the wheel in one direction,
but not the other. (As to what its reaction is, I'm not sure.)




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #30 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: jidanni@jidanni.org
Cc: 476394@bugs.debian.org
Subject: Re: lynx mouse wheel scrolling
Date: Wed, 16 Apr 2008 11:25:22 -0400 (EDT)
On Wed, 16 Apr 2008, jidanni@jidanni.org wrote:

> T> The normal build of ncurses (as in Debian's package) doesn't have the
> T> mouse extension configured/compiled.  So that only recognizes 4
> T> buttons (not the 5 needed to handle the scroll wheel).
>
> Ah, no wonder lynx only reacts to rolling the wheel in one direction,
> but not the other. (As to what its reaction is, I'm not sure.)

I don't suppose it does much with the button 4's - perhaps some "else" 
case is triggering.  It doesn't currently know about 4/5 events, but could 
be made to.  However that wouldn't solve the problem on your end...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #35 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: jidanni@jidanni.org
Cc: 476394@bugs.debian.org
Subject: Re: lynx mouse wheel scrolling
Date: Wed, 16 Apr 2008 15:31:01 -0400 (EDT)
On Wed, 16 Apr 2008, jidanni@jidanni.org wrote:

> T> The normal build of ncurses (as in Debian's package) doesn't have the
> T> mouse extension configured/compiled.  So that only recognizes 4
> T> buttons (not the 5 needed to handle the scroll wheel).
>
> Ah, no wonder lynx only reacts to rolling the wheel in one direction,
> but not the other. (As to what its reaction is, I'm not sure.)

A quick check with the ncurses test program hints that it would be
seeing buttons 2 and 4.

Checking with the test program linked with the extension works as 
expected...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #40 received at 476394@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com, 476394@bugs.debian.org
Cc: jidanni@jidanni.org
Subject: Re: Bug#476394: lynx mouse wheel scrolling
Date: Thu, 17 Apr 2008 21:49:16 +0900 (JST)
Hi all,

> > T> The normal build of ncurses (as in Debian's package) doesn't have the
> > T> mouse extension configured/compiled.  So that only recognizes 4
> > T> buttons (not the 5 needed to handle the scroll wheel).

so, am I right to consider that this is a problem of
ncurses package?

Regards,			2008-4-17(Thu)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #45 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: 476394@bugs.debian.org, jidanni@jidanni.org
Subject: Re: Bug#476394: lynx mouse wheel scrolling
Date: Thu, 17 Apr 2008 09:16:36 -0400 (EDT)
On Thu, 17 Apr 2008, Atsuhito Kohda wrote:

> Hi all,
>
>>> T> The normal build of ncurses (as in Debian's package) doesn't have the
>>> T> mouse extension configured/compiled.  So that only recognizes 4
>>> T> buttons (not the 5 needed to handle the scroll wheel).
>
> so, am I right to consider that this is a problem of
> ncurses package?

yes (though rather than "problem", I would say "limitation").

It would be possible to install the extended version, since it uses a
different major-version of the shared library.  But there's no Debian
package for that.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #50 received at 476394@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com, 476394@bugs.debian.org
Cc: jidanni@jidanni.org
Subject: Re: Bug#476394: lynx mouse wheel scrolling
Date: Fri, 18 Apr 2008 14:37:18 +0900 (JST)
Hi all,

On Thu, 17 Apr 2008 09:16:36 -0400 (EDT), Thomas Dickey wrote:

> On Thu, 17 Apr 2008, Atsuhito Kohda wrote:
> >
> > so, am I right to consider that this is a problem of
> > ncurses package?
> 
> yes (though rather than "problem", I would say "limitation").
> 
> It would be possible to install the extended version, since it uses a
> different major-version of the shared library.  But there's no Debian
> package for that.

Okay, then I'll reassign this to ncurses package 
as wishlist.
Thanks for your advices.

Regards,			2008-4-18(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#476394; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #55 received at 476394@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 476394@bugs.debian.org
Cc: control@bugs.debian.org
Subject: this is a problem of ncurses
Date: Fri, 18 Apr 2008 17:28:02 +0900 (JST)
reassign 476394 ncurses
thanks

From the discussion with the upstream author, this is
a problem of ncurses.

Thanks for your maintenance.
Regards,			2008-4-18(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Bug reassigned from package `lynx-cur' to `ncurses'. Request was from Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> to control@bugs.debian.org. (Fri, 18 Apr 2008 08:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#476394; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #62 received at 476394@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: 476394@bugs.debian.org, jidanni@jidanni.org
Subject: Re: Bug#476394: lynx mouse wheel scrolling
Date: Fri, 18 Apr 2008 05:55:38 -0400 (EDT)
On Fri, 18 Apr 2008, Atsuhito Kohda wrote:

> Hi all,
>
> On Thu, 17 Apr 2008 09:16:36 -0400 (EDT), Thomas Dickey wrote:
>
>> On Thu, 17 Apr 2008, Atsuhito Kohda wrote:
>>>
>>> so, am I right to consider that this is a problem of
>>> ncurses package?
>>
>> yes (though rather than "problem", I would say "limitation").
>>
>> It would be possible to install the extended version, since it uses a
>> different major-version of the shared library.  But there's no Debian
>> package for that.
>
> Okay, then I'll reassign this to ncurses package
> as wishlist.
> Thanks for your advices.

no problem

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Bug reassigned from package `ncurses' to `ncurses'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 10:48:03 GMT) Full text and rfc822 format available.

Forcibly Merged 230990 476394. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 10:48:04 GMT) Full text and rfc822 format available.

Forcibly Merged 230990 418239 476394. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 12:06:03 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 12:36:05 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 12:36:06 GMT) Full text and rfc822 format available.

Disconnected #418239 from all other report(s). Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 21 Jan 2012 17:12:05 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 22 Jan 2012 11:01:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:46:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.